<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# заголовок
$set['title']='Параша';

# шапка
include_once '../../sys/inc/thead.php';
title();
err();
aut();

if (isset($user))
{

# бабки есть
if($user['zona_balls']>=10){

$action=htmlspecialchars(trim($_GET['action']));

# блоки
switch($_GET['action']){

#********************* Главный блок *****************#
default:

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_fight.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Опачки !!!!
А что пассать захотелось ???<br/>
Ну парашей крышуем мы , банда "Парашных" .<br/>
Так что прийдется платить , если хочешь зайти .<br/>
Гони <img src="../img/icon/many.gif" alt="*" /> 10 баксов .
</div>';

# выбор действий
echo '<div class="zona_aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_header_money.png" alt="*" /> <a href="parasha.php?action=give_money"> Заплатить бабки</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_header_fights.png" alt="*" /> <a href="parasha.php?action=give_face"> Влупить в морду</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';

# конец
break;

#********************* Заплатить бабки *****************#
case 'give_money':

# рандом
$rank=rand(1,5);

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_fight.gif" alt="*" /></div>';

if($rank ==2){

# банда не берет лаве
mysql_query("UPDATE `user` SET `zona_avtoritet`=`zona_avtoritet`+'1' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Ладно , вижу ты свой .<br/>
Банда "Парашных" даёт тебе возможность поссать один раз бесплатно !<br/>
К твоему авторитету добавлено 1 ед.</div>
<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>
<div class="zona_rekl"><img src="../img/icon/icon_header_health.png" alt="*" /> <a href="parasha.php"> Поссать еще раз</a></div>';
}
# берет бабки
else {

#
mysql_query("UPDATE `user` SET `zona_avtoritet`=`zona_sila`+'1' ,`zona_balls`=`zona_balls`-'10' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Хорошо ....<br/>
Иди сцы .</div>
<div class="zona_menu">
К твоей силе добавлено 1 ед.
Потеряно <img src="../img/icon/many.gif" alt="*" /> 5 баксов .
</div>
<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>
<div class="zona_rekl"><img src="../img/icon/icon_header_health.png" alt="*" /> <a href="parasha.php"> Поссать еще раз</a></div>';

}

break;

#********************* Влупить в морду *****************#
case 'give_face':

# рандом
$rank=rand(1,3);


# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_fight.gif" alt="*" /></div>';

if($rank ==1){

# банда не берет лаве
mysql_query("UPDATE `user` SET `zona_avtoritet`=`zona_avtoritet`+'1' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Стой , стой ты что ??? .<br/>
Мы поняли что с тобой дела плохи !<br/>
К твоему авторитету добавлено 1 ед.<br/>
Только не бей ...</div>
<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>
<div class="zona_rekl"><img src="../img/icon/icon_header_health.png" alt="*" /> <a href="parasha.php"> Поссать еще раз</a></div>';
}
# берет бабки
else {

# добавим + снимим балы
mysql_query("UPDATE `user` SET `zona_balls`=`zona_balls`-'10' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Ах ты сука....<br/>
Пацаны вали его .</div>
<div class="zona_menu">
Забрать у гниды наших <img src="../img/icon/many.gif" alt="*" /> 10 баксов .<br/>
А его выбросит нахрен .
</div>
<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>
<div class="zona_rekl"><img src="../img/icon/icon_header_health.png" alt="*" /> <a href="parasha.php"> Поссать еще раз</a></div>';

}

break;
}
}

# нету лаве
else{

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Параша платная .<br/></a>
Тут крышует банда "Парашных" .<br/>
Мерские типы ...<br/>
Когда будет <img src="../img/icon/many.gif" alt="*" /> 10 баксов в кармане приходи.
</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';
}
}
else{

echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';

}

include_once '../../sys/inc/tfoot.php';
?>
